-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.


local lu = require 'luaunit'
local test_main_service = require 'maintenance_service.maintenance_csr'

TestMaintenances = {}

local connector_name = "Connextor_CLU_1_0101"
local file_path = 'test'
local ctx = {}

function TestMaintenances:TestImportIsImporting()
    test_main_service.is_importing = true
    local data_first_byte = test_main_service:import_csr(ctx, connector_name, file_path)
    lu.assertEquals(data_first_byte, nil)
end